#查询充值账号信息
#请求接口路径
[POST] /api/v2/bill-payment/rechargeaccount/query#参数列表
| 名称 | 类型 | 长度 | 必填 | 描述 |
|---|---|---|---|---|
| sceneCode | String | - | 是 | 业务场景码【详见 场景码】 |
| rechargeAccount | String | 15 | 是 | 充值账号 |
| billerId | String | 32 | No | 运营商 ID (Betting 必传) |
| itemId | String | 32 | No | 套餐 ID (Betting 必传) |
#返回值
| 名称 | 类型 | 长度 | 必填 | 描述 |
|---|---|---|---|---|
| biller | String | 32 | 是 | 手机号对应的运营商 |
#Postman 请求示例
#request
curl 请求
curl --location 'https://open-gw-sandbox.palmpay-inc.com/api/v2/bill-payment/rechargeaccount/query \
--header 'Accept: application/json, text/plain, */*' \
--header 'CountryCode: NG' \
--header 'Authorization: Bearer 10241024' \
--header 'Signature: D11A3E8CB478C0B0F40276DDA5AFD898' \
--header 'Content-Type: application/json' \
--data '{"requestTime":1713924207725,"nonceStr":"PcTcEkSGFBCjiEhJmrdb56csbbzGkwHh","version":"V2","sceneCode":"airtime","rechargeAccount":"023409551234911"}'#response
{
"respCode": "00000000",
"respMsg": "success",
"data": {
"biller": "GLO"
},
"status": true
}#公共错误码
#业务错误码
| 错误码 | 错误描述 | 解决方案 |
|---|---|---|
| SBP.INVALID_PARAMETER | 参数无效 | 检查请求参数,修改后重新发起请求 |
| SBP.INVALID_SCENE_CODE | 场景码无效 | 检查场景码,修改后重新发起请求 |
| SBP.BILLER_DISABLE | 运营商不可用 | 检查运营商 ID 是否正确或者运营商状态是否可用 |
| SBP.ITEM_DISABLE | 套餐不可用 | 检查套餐 ID 是否正确或者套餐状态是否可用 |
| SBP.INVALID_RECHARGE_ACCOUNT | 账号校验不可用 | 检查账号校验是否可用 |